refdb-restore
Prev | Chapter 13. Administration tools | Next

## Name

refdb-restore — RefDB tool: restore RefDB references, notes and styles

## Synopsis

`refdb-restore` [-h ] [-u `user`] [-w `pwd`] `backup-archive`

## Description

refdb-restore is a tool for restoring RefDB(7) references, notes and styles. The backup archive must have been created by the companion tool refdb-backup.

Before performing the restore all reference databases must be removed (archived) from /var/lib/refdb/db/. The system database in that directory ('refdb') must be recreated from the sql dump (see Manual).

## Options

`-h`

  print help and exit

`-u` `user`

  username for RefDB clients (refdba, refdbc) not required if clients are configured for automatic access

`-w` `pwd`

  password for RefDB clients (refdba, refdbc) not required if clients are configured for automatic access

## See also

RefDB (7), refdb-backup (1), refdba (1), refdbc (1).

RefDB manual (local copy) <prefix>/share/doc/refdb-<version>/refdb-manual/index.html

RefDB manual (web) <http://refdb.sourceforge.net/manual/index.html>

RefDB on the web <http://refdb.sourceforge.net/>

## Author

refdb-restore was written by David Nebauer <david@nebauer.org>

This manual page was written by David Nebauer <david@nebauer.org> for the Debian project (but may be used by others).

Prev | Up | Next
refdb-backup | Home | refdb-init